This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 179505 - up2date fails to update xerces
up2date fails to update xerces
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks: 164831 168429
  Show dependency treegraph
 
Reported: 2006-01-31 16:57 EST by Beth Nackashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0098
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 14:04:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-01-31 16:57:07 EST
+++ This bug was initially created as a clone of Bug #179110 +++

Description of problem:
up2date fails to update xerces package

Version-Release number of selected component (if applicable):
up2date-4.4.63-3

How reproducible:
always

Steps to Reproduce:
1.  ks a client to rhel 3 u6 with @ Everything
2.  install the latest up2date
3.  subscribe the client to all available channels on hosted
4.  run 'up2date'
5.  check 'xerces' package to update
6.  click 'Forward'
  
Actual results:
/var/log/up2date logs a traceback (shown below) and up2date advances to the next
panel ('Available Package Installs').  You can't scroll in this panel for some
reason.  If you click 'Forward' it hangs on the Progress Dialog.  For days and
days, literally.


Expected results:


Additional info:
from the log file:

[Wed Jan 25 16:06:11 2006] up2date updating login info
[Wed Jan 25 16:06:11 2006] up2date logging into up2date server
[Wed Jan 25 16:06:11 2006] up2date successfully retrieved authentication token
from up2date server
[Wed Jan 25 16:06:16 2006] up2date availablePackageList from network
[Wed Jan 25 16:06:16 2006] up2date Unable to import repomd support so repomd
support will not be available
[Wed Jan 25 16:06:37 2006] up2date solving dep for:
['lib-javax-xml-parsers-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-w3c-dom-2.2.1.so', 'lib-org-xml-sax-2.2.1.so',
'lib-javax-xml-parsers-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-w3c-dom-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-apache-xerces-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'xml-commons-apis', 'xml-commons-resolver']
[Wed Jan 25 16:06:40 2006] up2date solving dep for:
['lib-javax-xml-parsers-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-w3c-dom-2.2.1.so', 'lib-org-xml-sax-2.2.1.so',
'lib-javax-xml-parsers-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-w3c-dom-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-apache-xerces-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'xml-commons']
[Wed Jan 25 16:06:43 2006] up2date solving dep for:
['lib-javax-xml-parsers-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-w3c-dom-2.2.1.so', 'lib-org-xml-sax-2.2.1.so',
'lib-javax-xml-parsers-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-w3c-dom-2.2.1.so', 'lib-javax-xml-parsers-2.2.1.so',
'lib-org-apache-xerces-2.2.1.so', 'lib-org-w3c-dom-2.2.1.so',
'lib-org-xml-sax-2.2.1.so']
An error has occurred:
exceptions.TypeError
See /var/log/up2date for more information
[Wed Jan 25 16:06:46 2006] up2date   File
"/usr/share/rhn/up2date_client/gui.py", line 1490, in onPackagePageNext
    ret = self.__packagePageDryRun()
   File "/usr/share/rhn/up2date_client/gui.py", line 1418, in __packagePageDryRun
    self.__refreshCallback)
   File "/usr/share/rhn/up2date_client/up2date.py", line 384, in dryRun
    ret = depsolve.solvedep()
   File "/usr/share/rhn/up2date_client/depSolver.py", line 750, in solvedep
    ret = self.process_deps(deps)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 644, in process_deps
    changed = self.__dependencies(dependencies)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 410, in __dependencies
    solved, skiplist = self.__skip(solved)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 208, in __skip
    xlist = packageList.removeSkipPackagesFromList(plist)
   File "/usr/share/rhn/up2date_client/packageList.py", line 793, in
removeSkipPackagesFromList
    if fnmatch.fnmatch(pkgList[index][0], pattern):
   File "/usr/lib/python2.2/fnmatch.py", line 38, in fnmatch
    return fnmatchcase(name, pat)
   File "/usr/lib/python2.2/fnmatch.py", line 70, in fnmatchcase
    return _cache[pat].match(name) is not None

-- Additional comment from bnackash@redhat.com on 2006-01-27 14:22 EST --
/etc/sysconfig/rhn/up2date skipPackageList was not modified
Comment 1 Beth Nackashi 2006-02-01 14:00:22 EST
This is apparently not applicable to rhel 4 so I am closing it.
Comment 2 Red Hat Bugzilla 2006-03-07 14:04:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0098.html

Note You need to log in before you can comment on or make changes to this bug.